var apiUrl = "http://go.infinise.com/api/2.5/";


/*	GOOGLE
	----------------------------------------------------- */

eng.google = {
	pageTitle: "Google",
	logo: "google.png",
	places: {
		'Web'    : ["http://www.google.com/search?q=%query%&hl=en",		apiUrl+"?eng=google&timestamp=%time%&q=%query%"],
		'Images' : ["http://images.google.com/images?q=%query%&hl=en",	apiUrl+"?eng=google&timestamp=%time%&q=%query%"],
		'Maps'   : ["http://maps.google.com/maps?q=%query%",			false]
	}
};


/*	WIKIPEDIA
	----------------------------------------------------- */
	
eng.wikipedia = {
	pageTitle: "Wikipedia",
	logo: "wikipedia.png",
	places: {
		'Go to Article' : ["http://%lang%.wikipedia.org/wiki/Special:Search?search=%query%&go=Go",				apiUrl+"?eng=wikipedia&timestamp=%time%&q=%query%&hl=%lang%"],
		'Search'        : ["http://%lang%.wikipedia.org/wiki/Special:Search?search=%query%&fulltext=Search",	apiUrl+"?eng=wikipedia&timestamp=%time%&q=%query%&hl=%lang%"],
	},
	languages: {
		'EN': 'en',
		'DE': 'de',
		'FR': 'fr'
	}
};


/*	YOUTUBE
	----------------------------------------------------- */

eng.youtube = {
	pageTitle: "YouTube",
	logo: "youtube.png",
	places: {
		'Videos' : ["http://www.youtube.com/results?search_query=%query%", apiUrl+"?eng=youtube&timestamp=%time%&q=%query%"]
	},
};


/*	Facebook
	----------------------------------------------------- */

eng.twitter = {
	pageTitle: "Facebook",
	logo: "facebook.png",
	places: {
		'Search Facebook' : ["http://www.facebook.com/search.php?q=%query%&init=quick&tas=search_preload&search_first_focus=1299653969057", false]
	}
};

/*	Deviantart Customization
	----------------------------------------------------- 

eng.twitter = {
	pageTitle: "DeviantArt > Customization",
	logo: "twitter.png",
	places: {
		'Customization Search' : ["http://browse.deviantart.com/customization/?q=%query%", false]
	}
};*/
